# $Revision: 1.14 $, $Date: 2005/06/29 00:37:12 $
Summary:	Digital thermometer using DS1820 1-wire sensors
Summary(pl):	Termometr cyfrowy uywajcy czujnikw Dallasa DS1820
Name:		digitemp
Version:	3.4.0
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.digitemp.com/software/linux/%{name}-%{version}.tar.gz
# Source0-md5:	4b2346b47eed19f89de436821501c8fa
Source1:	http://www.brianlane.com/linux/dthowto.txt
# Source1-md5:	31f67f7dba103988d10478566599cb3e
Source2:	DS9097_Schematic.gif
Patch0:		%{name}-opt.patch
URL:		http://www.digitemp.com/
BuildRequires:	libusb-devel
BuildRequires:	lockdev-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DigiTemp is a simple to use interface to the Dallas Semiconductor
DS18S20, DS1822, and DS18B20 1-wire digital temperature sensors. You
can use DigiTemp in a wide variety of applications, such as heating
control, process monitoring, weather station, indor/outdoor
temperature logging, etc. It includes a couple of useful Perl, Python
and RRD Tool scripts for crating graphs and dynamic signatures.

%description -l pl
DigiTemp jest prostym interfejsem dla cyfrowych 1-przewodowych
czujnikw temperatury: DS18S20, DS1822 i DS18B20 firmy Dallas
Semiconductor. DigiTemp moe mie wiele zastosowa, takich jak
kontrola ogrzewania, monitorowanie procesw, stacje meteorologiczne,
wewntrzne/zewntrzne monitorowanie temperatury. Pakiet zawiera kilka
uytecznych skryptw Perla, Pytona i RRD do tworzenia wykresw i
dynamicznych wpisw.

%prep
%setup -q
%patch0 -p1

cp %{SOURCE1} %{SOURCE2} .

%build
export OPT="%{rpmcflags}"
%{__make} ds9097
%{__make} ds9097u
%{__make} ds2490

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}/%{name}-%{version},%{_mandir}/man1}

install digitemp_DS* $RPM_BUILD_ROOT%{_bindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -rf perl python rrdb $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS DS9097_S* FAQ README TODO dthowto.txt
%attr(755,root,root) %{_bindir}/*
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: digitemp.spec,v $
Revision 1.14  2005/06/29 00:37:12  hunter
- up to 3.4.0, stbr svp

Revision 1.13  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.12  2004/05/13 17:24:02  ankry
- spaces -> tabs, other cosmetics

Revision 1.11  2004/04/29 19:12:06  yogib
- added schematic of DS9097 pasive 1-wire adatapter

Revision 1.10  2004/04/28 23:16:20  qboosh
- unified examples dir

Revision 1.9  2004/04/27 21:41:51  yogib
- added BR: libusb-devel for building of usb adapter

Revision 1.8  2004/04/27 20:41:32  yogib
- BR: lockdev

Revision 1.7  2004/04/26 18:21:35  yogib
- fix of _examplesdir

Revision 1.6  2004/04/25 21:03:39  yogib
- updated to 3.3.2
- added opt patch, changed URLs, added _examplesdir and _mandir
- now compiled for both versions of adapters

Revision 1.5  2003/07/23 14:47:55  misi3k
- updated to 3.2.0

Revision 1.4  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/13 22:59:04  qboosh
- pl cosmetics

Revision 1.1  2003/05/11 20:17:23  wolf
- from zban at inetia dot pl
